$(document).ready(function () {
    $('table.dt tr').on('click', function () {
        var local = $(this).attr('data-local');
        getLogs(local);
    });
    upNice();
    $(window).resize(function(){ upNice(); });
    
    $('#sch-local').focus();
    $('#sch-local').keyup(function (e) {
        if (e.keyCode == 13) {
            if ($('#sch-local').val() != '') {
                getLogs($('#sch-local').val());
            } else {
                alert('Ingrese numero de local');
            }
        }
    });
    $('#buscarPorNumero').on('click', function () {
        if ($('#sch-local').val() != '') {
            getLogs($('#sch-local').val());
        } else {
            alert('Ingrese numero de local');
        }
    });
});

function upNice()  {
    var window_data = getWindowData();
    $('#LocV').css('max-height', window_data.altoVentana - 90 + "px");
    $('#LocV .dt').height(window_data.altoVentana - 120 + "px");
    $('#LocV .dt').niceScroll();
    if ($('#result').html()) {
        $('#Logs .dt').css('max-height', window_data.altoVentana - 120 + "px");
        $('#Logs').css('max-height', window_data.altoVentana - 90 + "px");
        
        //$('#Logs .dt').height(window_data.altoVentana - 120 + "px");
        $('#Logs .dt').niceScroll();
    }
    if ($('#result2').html()) {
        $('#result2').height(window_data.altoVentana - 88 + "px");
        $('#result2').niceScroll();
    }
}

function getLogs(local) {
    $.ajax({
        url: url_logsIdebo + '/action/getLogs',
        data: {
            local: local
        },
        dataType: 'html',
        type: "post",
        success: function (data) {
            if (data == '0') {
                alert('No existen logs IdeboWeb disponibles');
                $('#result').html('');
                $('#sch-local').val('');
                $('#result2').css('background-color', 'transparent').html('');
            } else {
                $('#result').html(data);
                upNice();
                $('.sel2').on('click', function () {
                    getLog($(this).attr('data-local'), $(this).attr('data-fecha'), $(this).attr('data-tipo'), $(this).attr('data-err'), $(this).attr('data-arch'));
                });
            }
        }
    });
}

function getLog(local, fechaLog, tipoLog, errLog, archLog) {
    $.ajax({
        url: url_logsIdebo + '/action/getLog',
        data: {
            local: local,
            fechaLog: fechaLog,
            tipoLog: tipoLog,
            errLog: errLog,
            archLog: archLog
        },
        dataType: 'html',
        type: "post",
        success: function (data) {
            $('#result2').css('background-color', 'white').html(data);
            upNice();
        }
    });
}